%define nam	gabber
%define ver	0.8.4
%define rel	1


Summary:	A Gnome client for the Jabber instant messaging system
Name:		%nam
Version:	%ver
Release:	%rel
Copyright:	GPL
Group:		Applications/Communications
Source:		ftp://gabber.sourceforge.net/pub/gabber/%{nam}-%{ver}.tar.gz
URL:		http://gabber.sourceforge.net/
BuildRoot:	/var/tmp/%{nam}-%{ver}-root

Requires: 	gnome-libs >= 1.2.0
Requires:	libglade >= 0.11
Requires: 	libsigc++ >= 1.0.0
Requires:	gtkmm >= 1.2.1
Requires:       gnomemm >= 1.1.12
Requires:       openssl >= 0.9.5a

%description
Gabber is a Gnome client for the distributed Open Source instant messaging 
system called Jabber. Gabber is a fairly complete client while 
remaining easy to use, walking the line between being very powerful and still 
making sense. Jabber allows communication with a multitude of other instant 
messaging systems, such as AIM, ICQ, Yahoo!, MSN, and even IRC.

%changelog
* Wed May 30 2001 Julian Missig <julian@jabber.org>
- Added configure variable to statically link GAL at buildtime, generated RPM no longer depends on it.

* Thu Apr 26 2001 Julian Missig <julian@jabber.org>

- No longer super-generic .spec since Matthias pointed out that RPM tries to remove every directory on uninstall (but fortunately fails to do so)

* Sun Jan 21 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- some cleanups, trying to make it easier for people to adapt to their
particular distribution.

* Tue Oct 10 2000 Konrad Podloucky <konrad@users.sourceforge.net>
- removed gnet dependency

* Fri May 19 2000  Julian Missig  <julian@linuxpower.org>
- Now using a super generic .spec file. If anyone can tell me why I shouldn't do this, I'll stop.

* Wed May 03 2000  Julian Missig  <julian@linuxpower.org>
- Now using make install-strip to generate a small binary. Much nicer. :)

* Wed Apr 26 2000  Julian Missig  <julian@linuxpower.org>
- Made sure everything seems OK for 0.5.
- Moved to libsigc++ 1.0.0, since older versions are binary incompatible. :(

* Thu Apr 06 2000  Julian Missig  <julian@linuxpower.org>
- Updated to install i18n support

* Sun Apr 02 2000  Julian Missig  <julian@linuxpower.org>
- Updated to install Gabber Manual

* Sat Apr 01 2000  Julian Missig  <julian@linuxpower.org>
- First version of the spec file. It seems to work.

%prep
%setup -q

%build
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --localstatedir=/var/lib --with-release-libs=%{_libdir}
fi

%configure --localstatedir=/var/lib --with-release-libs=%{_libdir}

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.exception ChangeLog INSTALL NEWS README README.FreeBSD TODO
%{_sysconfdir}/sound/events/%{nam}.soundlist
%{_bindir}/%{nam}
%{_datadir}/%{nam}
%{_datadir}/gnome/apps/Internet/%{nam}.desktop
%{_datadir}/gnome/help/%{nam}
%{_datadir}/locale/*/LC_MESSAGES/%{nam}.mo
%{_datadir}/omf/%{nam}
%{_datadir}/pixmaps/%{nam}
%{_datadir}/sounds/%{nam}
%{_datadir}/pixmaps/%{nam}.png
